socketcand(1)

NAME
socketcand - The Socket CAN daemon

SYNOPSIS
socketcand [-v | --verbose] [-i interfaces | --interfaces interfaces ] [-p port | --port port ] [-l interface | --listen interface ] [-d | --daemon ] [-n | --no-beacon]

DESCRIPTION
socketcand is a daemon that provides access to CAN interfaces on a machine via a network interface. The communication protocol uses a TCP/IP connection and a specific protocol to transfer CAN frames and control commands.

OPTIONS

-v  activates verbose output

-i  comma separated list of SocketCAN interfaces the daemon shall provide access to (e.g. -i can0,vcan1)

-p  port changes the default port (29536) the daemon is listening at

-l  interface changes the default interface (eth0) the daemon will bind to

-d  set this flag if you want log to syslog instead of STDOUT

-n  disables the discovery beacon

-h  prints a help message